Package io.vertx.rxjava3.core.http

## Class ServerWebSocketHandshake

- java.lang.Object
- - io.vertx.rxjava3.core.http.ServerWebSocketHandshake

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class ServerWebSocketHandshake
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A server WebSocket handshake, allows to control acceptance or rejection of a WebSocket.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ServerWebSocketHandshake>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerWebSocketHandshake​(ServerWebSocketHandshake delegate)` |
    `ServerWebSocketHandshake​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Single<ServerWebSocket>` | `accept()` | Accept the WebSocket and terminate the WebSocket handshake.
    `HostAndPort` | `authority()` |
    `boolean` | `equals​(Object o)` |
    `ServerWebSocketHandshake` | `getDelegate()` |
    `int` | `hashCode()` |
    `MultiMap` | `headers()` | Returns the HTTP headers.
    `boolean` | `isSsl()` |
    `SocketAddress` | `localAddress()` |
    `static ServerWebSocketHandshake` | `newInstance​(ServerWebSocketHandshake arg)` |
    `String` | `path()` |
    `String` | `query()` |
    `Completable` | `reject()` | Reject the WebSocket.
    `Completable` | `reject​(int status)` | Like `reject()` but with a `status`.
    `SocketAddress` | `remoteAddress()` |
    `Single<ServerWebSocket>` | `rxAccept()` | Accept the WebSocket and terminate the WebSocket handshake.
    `Completable` | `rxReject()` | Reject the WebSocket.
    `Completable` | `rxReject​(int status)` | Like `reject()` but with a `status`.
    `String` | `scheme()` |
    `SSLSession` | `sslSession()` |
    `String` | `toString()` |
    `String` | `uri()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ServerWebSocketHandshake> __TYPE_ARG

  - ### Constructor Detail

    - #### ServerWebSocketHandshake

          public ServerWebSocketHandshake​(ServerWebSocketHandshake delegate)

    - #### ServerWebSocketHandshake

          public ServerWebSocketHandshake​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ServerWebSocketHandshake getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### headers

          public MultiMap headers()

      Returns the HTTP headers.
      Returns:
        the headers

    - #### scheme

          public String scheme()

      Returns:
        the WebSocket handshake scheme

    - #### authority

          public HostAndPort authority()

      Returns:
        the WebSocket handshake authority

    - #### uri

          public String uri()

    - #### path

          public String path()

      Returns:
        the WebSocket handshake path.

    - #### query

          public String query()

      Returns:
        the WebSocket handshake query string.

    - #### accept

          public Single<ServerWebSocket> accept()

      Accept the WebSocket and terminate the WebSocket handshake.

      This method should be called from the WebSocket handler to explicitly accept the WebSocket and terminate the WebSocket handshake.
      Returns:

    - #### rxAccept

          public Single<ServerWebSocket> rxAccept()

      Accept the WebSocket and terminate the WebSocket handshake.

      This method should be called from the WebSocket handler to explicitly accept the WebSocket and terminate the WebSocket handshake.
      Returns:

    - #### reject

          public Completable reject()

      Reject the WebSocket.

      Calling this method from the WebSocket handler when it is first passed to you gives you the opportunity to reject the WebSocket, which will cause the WebSocket handshake to fail by returning a response code.

      You might use this method, if for example you only want to accept WebSockets with a particular path.

      Returns:

    - #### rxReject

          public Completable rxReject()

      Reject the WebSocket.

      Calling this method from the WebSocket handler when it is first passed to you gives you the opportunity to reject the WebSocket, which will cause the WebSocket handshake to fail by returning a response code.

      You might use this method, if for example you only want to accept WebSockets with a particular path.

      Returns:

    - #### reject

          public Completable reject​(int status)

      Like `reject()` but with a `status`.
      Parameters:
        `status` -
      Returns:

    - #### rxReject

          public Completable rxReject​(int status)

      Like `reject()` but with a `status`.
      Parameters:
        `status` -
      Returns:

    - #### remoteAddress

          public SocketAddress remoteAddress()

      Returns:
        the remote address for this connection, possibly `null` (e.g a server bound on a domain socket). If `useProxyProtocol` is set to `true`, the address returned will be of the actual connecting client.

    - #### localAddress

          public SocketAddress localAddress()

      Returns:
        the local address for this connection, possibly `null` (e.g a server bound on a domain socket) If `useProxyProtocol` is set to `true`, the address returned will be of the proxy.

    - #### isSsl

          public boolean isSsl()

      Returns:
        true if this `HttpConnection` is encrypted via SSL/TLS.

    - #### sslSession

          public SSLSession sslSession()

      Returns:
        SSLSession associated with the underlying socket. Returns null if connection is not SSL.

    - #### newInstance

          public static ServerWebSocketHandshake newInstance​(ServerWebSocketHandshake arg)